package com.xintong.visualinspection.service;

import java.util.List;

import com.xintong.visualinspection.bean.Menu;
import com.xintong.visualinspection.bean.User;

/**
 * 文件名：UserService
 * 版本信息：日期：2017/3/30 Copyright 江苏省交通规划设计院 Corporation 2017 版权所有.
 */
public interface MenuService {
    public List<Menu> getMenus(Menu menu, User user, Integer judge);
    public List<Menu> getMenuByParent(Menu menu);
    public void insert(Menu menu);
    public void update(Menu menu);
    public void delete(Integer id);
}
